org.apache.ignite.development.utils

## Class IgniteWalConverterArguments

- java.lang.Object
- - org.apache.ignite.development.utils.IgniteWalConverterArguments

-     public class IgniteWalConverterArguments
      extends Object

  Parameters for IgniteWalConverter with parsed and validated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteWalConverterArguments(File walDir, File walArchiveDir, int pageSize, File binaryMetadataFileStoreDir, File marshallerMappingFileStoreDir, boolean keepBinary, Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> recordTypes, Long fromTime, Long toTime, String recordContainsText, org.apache.ignite.development.utils.ProcessSensitiveData processSensitiveData, boolean printStat, boolean skipCrc, Collection<org.apache.ignite.internal.util.typedef.T2<Integer,Long>> pages)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getBinaryMetadataFileStoreDir()` Path to binary metadata dir.
    `Long` | `getFromTime()` The start time interval for the record time in milliseconds.
    `File` | `getMarshallerMappingFileStoreDir()` Path to marshaller dir.
    `Collection<org.apache.ignite.internal.util.typedef.T2<Integer,Long>>` | `getPages()` Return pages for searching in format grpId:pageId.
    `int` | `getPageSize()` Size of pages, which was selected for file store (1024, 2048, 4096, etc).
    `org.apache.ignite.development.utils.ProcessSensitiveData` | `getProcessSensitiveData()` Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
    `String` | `getRecordContainsText()` Filter by substring in the WAL record.
    `Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType>` | `getRecordTypes()` WAL record types (TX_RECORD, DATA_RECORD, etc).
    `Long` | `getToTime()` The end time interval for the record time in milliseconds.
    `File` | `getWalArchiveDir()` Path to dir with archive wal files.
    `File` | `getWalDir()` Path to dir with wal files.
    `boolean` | `isKeepBinary()` Keep binary flag.
    `boolean` | `isPrintStat()` Write summary statistics for WAL.
    `boolean` | `isSkipCrc()` Skip CRC calculation/check flag.
    `static IgniteWalConverterArguments` | `parse(PrintStream out, String... args)` Parse command line arguments and return filled IgniteWalConverterArguments

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteWalConverterArguments

          public IgniteWalConverterArguments(File walDir,
                                             File walArchiveDir,
                                             int pageSize,
                                             File binaryMetadataFileStoreDir,
                                             File marshallerMappingFileStoreDir,
                                             boolean keepBinary,
                                             Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> recordTypes,
                                             Long fromTime,
                                             Long toTime,
                                             String recordContainsText,
                                             org.apache.ignite.development.utils.ProcessSensitiveData processSensitiveData,
                                             boolean printStat,
                                             boolean skipCrc,
                                             Collection<org.apache.ignite.internal.util.typedef.T2<Integer,Long>> pages)

      Constructor.
      Parameters:
        `walDir` - Path to dir with wal files.
        `walArchiveDir` - Path to dir with archive wal files.
        `pageSize` - Size of pages, which was selected for file store (1024, 2048, 4096, etc).
        `binaryMetadataFileStoreDir` - Path to binary metadata dir.
        `marshallerMappingFileStoreDir` - Path to marshaller dir.
        `keepBinary` - Keep binary flag.
        `recordTypes` - WAL record types (TX_RECORD, DATA_RECORD, etc).
        `fromTime` - The start time interval for the record time in milliseconds.
        `toTime` - The end time interval for the record time in milliseconds.
        `recordContainsText` - Filter by substring in the WAL record.
        `processSensitiveData` - Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
        `printStat` - Write summary statistics for WAL.
        `skipCrc` - Skip CRC calculation/check flag.
        `pages` - Pages for searching in format grpId:pageId.

  - ### Method Detail

    - #### getWalDir

          public File getWalDir()

      Path to dir with wal files.
      Returns:
        walDir

    - #### getWalArchiveDir

          public File getWalArchiveDir()

      Path to dir with archive wal files.
      Returns:
        walArchiveDir

    - #### getPageSize

          public int getPageSize()

      Size of pages, which was selected for file store (1024, 2048, 4096, etc).
      Returns:
        pageSize

    - #### getBinaryMetadataFileStoreDir

          public File getBinaryMetadataFileStoreDir()

      Path to binary metadata dir.
      Returns:
        binaryMetadataFileStoreD

    - #### getMarshallerMappingFileStoreDir

          public File getMarshallerMappingFileStoreDir()

      Path to marshaller dir.
      Returns:
        marshallerMappingFileStoreD

    - #### isKeepBinary

          public boolean isKeepBinary()

      Keep binary flag.
      Returns:
        keepBina

    - #### getRecordTypes

          public Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> getRecordTypes()

      WAL record types (TX_RECORD, DATA_RECORD, etc).
      Returns:
        recordTypes

    - #### getFromTime

          public Long getFromTime()

      The start time interval for the record time in milliseconds.
      Returns:
        fromTime

    - #### getToTime

          public Long getToTime()

      The end time interval for the record time in milliseconds.
      Returns:
        toTime

    - #### getRecordContainsText

          public String getRecordContainsText()

      Filter by substring in the WAL record.
      Returns:
        recordContainsText

    - #### getProcessSensitiveData

          public org.apache.ignite.development.utils.ProcessSensitiveData getProcessSensitiveData()

      Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
      Returns:
        processSensitiveData

    - #### isPrintStat

          public boolean isPrintStat()

      Write summary statistics for WAL.
      Returns:
        printStat

    - #### isSkipCrc

          public boolean isSkipCrc()

      Skip CRC calculation/check flag.
      Returns:
        skipCrc

    - #### getPages

          public Collection<org.apache.ignite.internal.util.typedef.T2<Integer,Long>> getPages()

      Return pages for searching in format grpId:pageId.
      Returns:
        Pages.

    - #### parse

          public static IgniteWalConverterArguments parse(PrintStream out,
                                                          String... args)

      Parse command line arguments and return filled IgniteWalConverterArguments
      Parameters:
        `args` - Command line arguments.
        `out` - Out print stream.
      Returns:
        IgniteWalConverterArguments.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023